{% load static %}
<!DOCTYPE html>
<html lang="en">
<head>

    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no">
    <title>Insubriparks WebGIS</title>
    <script src="https://kit.fontawesome.com/2dd0fcfce5.js" crossorigin="anonymous"></script>
    <link href="//maxcdn.bootstrapcdn.com/font-awesome/4.1.0/css/font-awesome.min.css" />
    <link rel="shortcut icon" href="#" />
    <link rel="stylesheet" href="{% static 'insubriparkswebgis/css/ol.css' %}" />
    <script src="https://cdn.polyfill.io/v2/polyfill.min.js?features=requestAnimationFrame,Element.prototype.classList,URL,Object.assign"></script>
    <link rel="stylesheet" href="{% static 'insubriparkswebgis/css/style.css' %}" />
    <link rel="stylesheet" href="{% static 'insubriparkswebgis/css/ol3-sidebar.css' %}" />
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jspdf/1.2.61/jspdf.min.js"></script>


</head>
<body>
    <div id="sidebar" class="sidebar collapsed">
        <!-- Nav tabs -->
        <div class="sidebar-tabs">
          <ul role="tablist">
            <li><a id="h_btn" href="#home" role="tab" title="INSUBRI.PARKS"><i class="fas fa-info-circle"></i></a></li>
            <li id="instructions"><a id="in_btn" href="#instr" role="tab" title="WebGIS Instructions"><i class="fa fa-bars"></i></a></li>
            <li><a id="l_btn" href= "#layers" role="tab" title="Layers Switcher"><i class="fas fa-layer-group"></i></a></li>
            <li id="test"><a id="p_btn" href="#print" role="tab" title="Print Map"><i class="fas fa-print" ></i></a></li>
            <li><a id="home" href="/" role="tab" title="Go Back to the Home Page" target="_blank"><i class="fas fa-home"></i></a></li>
          </ul>
          <!-- The following line is related to the settings button, which is not used at the moment -->
          <!-- <ul role="tablist">
            <li><a href="#settings" role="tab"><i class="fa fa-gear"></i></a></li>
          </ul> -->
        </div>

        <!-- Tab panes -->
        <div class="sidebar-content">
          <div class="sidebar-pane" id="home">
            <h1 class="sidebar-header">
              THE INSUBRI.PARKS Project
              <span class="sidebar-close"><i class="fa fa-caret-left"></i></span>
            </h1>
            <p></p>
            <p class="lorem">The INSUBRIPARKS is an Interreg project aiming at the cooperation between natural parks along the cross-border area between Italy and Switzerland. The final target of this project is to develop a network of touristic experiences and facilities through cooperation among project partners.<br><br> Click on the logo to read more about the INSUBRI.PARKS project. </p>
            <a href="https://tinyurl.com/rleavcb" target="_blank">
            <img src='/static/webgis/img/insubrihome.png' style= "cursor: pointer;margin: 0 auto; display:block;"/>
            </a>
          </div>


          <div class="sidebar-pane" id="instr">
            <h1 class="sidebar-header">
              WebGIS Instructions
              <span class="sidebar-close"><i class="fa fa-caret-left"></i></span>
            </h1>
            <p></p>
            <p class="lorem">Welcome to the <b>INSUBRI.PARKS WebGIS</b>!<br><br>It is really simple to learn how navigate the platform. The main functionality is: <br><br>
            <b>1.</b> Visualise and interact on the map with all the geographic layers through the <b>Layer Switcher Panel</b> <i class="fas fa-layer-group"></i><br><br>
          </div>


          <div class="sidebar-pane" id="layers">
            <h1 class="sidebar-header-pane">
              <div class="tooltip">PARKS LAYERS
                <span class="tooltiptext">In order to have an effective and optimal navigation on the map, please select your favourite layers.</span>
              </div>
                <span class="sidebar-close"><i class="fa fa-caret-left"></i></span>
            </h1>
            <p class="lorem">Select the elements you want and then visualise them on the Map!</p>
            <div></div>
          </div>

          <div class="sidebar-pane" id="print">
            <h1 class="sidebar-header-pane">
              <div class="tooltip">PRINT
                <span class="tooltiptext">Please, select your favourite print format.</span>
              </div>
            <span class="sidebar-close"><i class="fa fa-caret-left"></i></span>
          </h1>
              <label class="control control--radio">Jpeg
                <input type="radio" name="radio" checked="checked"/>
                <div class="control__indicator"></div>
              </label>
              <label class="control control--radio">Pdf
                <input type="radio" name="radio" id="pdf"/>
                <div class="control__indicator"></div>
              </label>
              
            <button class="button" id="printbutton" onclick="printControl.print({imageType:'image/jpeg'});return false">Print</button>
          </div>
        </form>
        </div>
      </div>
      
      <div id="map" class="sidebar-map">
        <div id= "popup"></div>
      </div>
      <a href="https://tinyurl.com/rleavcb" target="_blank">
      <img src='/static/webgis/img/insubrihome.png' style= "cursor: pointer; position: absolute;height:60px; left:60px;bottom:10px; overflow: hidden; display:block;"/>
      </a>


    <!-- ol -->
    <script type="text/javascript" src="https://openlayers.org/en/latest/build/ol.js"></script>
    </script>
    <!-- jQuery -->
    <script type="text/javascript" src="https://code.jquery.com/jquery-2.1.0.js"></script>
    <!-- ol-ext -->
    <script type="text/javascript" src="{% static 'insubriparkswebgis/js/ol-ext.js' %}"></script>
    <!-- Sidebar -->
    <script type="text/javascript" src="{% static 'insubriparkswebgis/js/ol3-sidebar.js' %}"></script>
    <!-- Map -->
    <script type="text/javascript" src="{% static 'insubriparkswebgis/js/map.js' %}"></script>
    <!-- https://github.com/MrRio/jsPDF -->
    <script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/jspdf/1.3.2/jspdf.min.js"></script>
    <!-- filesaver-js -->
    <script type="text/javascript" src="https://cdn.rawgit.com/eligrey/FileSaver.js/aa9f4e0e/FileSaver.min.js"></script>
    <script src="//netdna.bootstrapcdn.com/bootstrap/3.1.0/js/bootstrap.min.js"></script>

    <!-- Slider -->
    <script type="text/javascript" src="{% static 'insubriparkswebgis/js/slider.js' %}"></script>

</body>
</html>
